Bug 752446 - Preupgrade does not install version 16 kernel
Preupgrade does not install version 16 kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 09:43 EST by Paul Lambert
Modified: 2013-02-13 09:35 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Lambert 2011-11-09 09:43:12 EST
Description of problem:I have run preuprade twice and my system still only boots to the nkernel  2.6.40.8-2.fc15.x86_64.  A preupgrade boot option is in te grub.conf file but when selected it does not boot.


Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional:  
Below is the first in entry in my grub.file.  I inserted the line "root (hd0,0)" after the title line and it made no difference, still would not boot.
The files ks.kfg and initrd.img do exist in the upgrade directory.

title Upgrade to Fedora 16 (Verne)
	kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=ac18a723-24c1-4163-b48e-ae65acfba6f4:/upgrade/ks.cfg
	initrd /upgrade/initrd.img
Comment 1 Josh Boyer 2011-11-09 10:01:35 EST
Sounds like a problem in preupgrade.  Might be bug 737731.
Comment 2 Paul Lambert 2011-11-09 10:40:44 EST
I have the version of preupgrade installed that is suggested in bug 737731.  This might have been part of the bug previously but this does not fix the problem now.

preupgrade.noarch  1.1.10-1.fc15                @updates-testing
Comment 3 Neil Katin 2011-11-09 16:29:57 EST
I am having the same issues; the upgrade grub line doesn't boot; older kernel does.

I also used preupgrade 1.1.10-1.fc15.
Comment 4 Neil Katin 2011-11-09 16:36:34 EST
I just reread comment 1 and 2 about bug 737731.  If I'm reading it correctly: that bug was about grub2 not being installed by the end of the upgrade process.

Our problem is the upgrade image itself is not bootable; at least for me the initial reboot (after preupgrade was run) would not run; it died with no messages right after Grub tried to boot the upgrade image.
Comment 5 Daniil Churikov 2011-11-10 05:00:18 EST
have same problem. Could it be because of i have /var and /boot on different partitions?

I tryied to edit grub/menu.lst, because it contains not right lines. After i use preupgrade utility, there was:

title Upgrade to Fedora 16 (Verne)                                               
       kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=e3034e15-43f3-407a-8565-92db0b04ff0d:/upgrade/ks.cfg
       initrd /upgrade/initrd.img

look at "snip...repo=hd::/var/cache...snip". Between two colon should be something like this(if i correct understand):
"snip...repo=hd:UUID=4fffa7e4-1a9d-4573-8831-983406264143:...snip". This UUID of mine "/var" partition. I tryed to change next part of the path from "/var/cache/yum/preupgrade" to "/cache/yum/preupgrade" which will be correct related to my "/var" UUID. Also i added new line before this two: "root (hd0,0)". But still no luck. After i press "Upgrade to Fedora 16 (Verne)" menu item, I just see black screen and no boot process
Comment 6 Paul Lambert 2011-11-10 12:28:11 EST
I proceeded to download the FE16 network update iso and then successfully upgraded to FE16.

My boot options are; Fedora, Fedora (recovery), Fedora Install and Fedora Install (recovery).  To me this indicates that Fedora now has a built in upgrade path via an install boot option.  If so, does this not deprecate the PreUpgrade application and thereby make this bug a moot issue?
Comment 7 Germano Massullo 2011-11-13 14:23:35 EST
I have the same problem. Grub did not get upgrade, so I still have the 0.9 version with old kernels and the line "Update Fedora"
I solved by adding manually the new kernel.
If you need some other special infos please tell me.
Comment 8 Germano Massullo 2012-06-01 04:22:22 EDT
I ***highly ***suggest to close as duplicated of
https://bugzilla.redhat.com/show_bug.cgi?id=820351
Comment 9 Neil Katin 2012-06-01 14:20:10 EDT
@caterpillar, at least for me: my upgrade was with preupgrade, not a dvd upgrade.  So #820351 doesn't seem to apply to my upgrade failure.

Perhaps you meant #826537, which is about preupgrade and f17?
Comment 10 Germano Massullo 2012-06-01 14:29:42 EDT
They merged different bugs, but #826537 is the main for preupgrade failures. I had too the problem with preupgrade
Comment 11 Fedora End Of Life 2013-01-16 08:42:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 09:35:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.